org.apache.lucene.analysis.core

## Class LowerCaseTokenizerFactory

- java.lang.Object
- - org.apache.lucene.analysis.util.AbstractAnalysisFactory
  - - org.apache.lucene.analysis.util.TokenizerFactory
    - - org.apache.lucene.analysis.core.LowerCaseTokenizerFactory

- All Implemented Interfaces:
    MultiTermAwareComponent

  Deprecated.
  Use `LetterTokenizerFactory` followed by `LowerCaseFilterFactory`

      @Deprecated
      public class LowerCaseTokenizerFactory
      extends TokenizerFactory
      implements MultiTermAwareComponent

  Factory for `LowerCaseTokenizer`.

       <fieldType name="text_lwrcase" class="solr.TextField" positionIncrementGap="100">
       <analyzer>
       <tokenizer class="solr.LowerCaseTokenizerFactory" maxTokenLen="256"/>
       </analyzer>
       </fieldType>

  Options:

  - maxTokenLen: max token length, should be greater than 0 and less than MAX_TOKEN_LENGTH_LIMIT (1024*1024). It is rare to need to change this else `CharTokenizer`::DEFAULT_MAX_WORD_LEN

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `LUCENE_MATCH_VERSION_PARAM, luceneMatchVersion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LowerCaseTokenizerFactory(Map<String,String> args)` Deprecated. Creates a new LowerCaseTokenizerFactory

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `LowerCaseTokenizer` | `create(AttributeFactory factory)` Deprecated. Creates a TokenStream of the specified input using the given AttributeFactory
    `AbstractAnalysisFactory` | `getMultiTermComponent()` Deprecated. Returns an analysis component to handle analysis if multi-term queries.

    - ### Methods inherited from class org.apache.lucene.analysis.util.TokenizerFactory

      `availableTokenizers, create, forName, lookupClass, reloadTokenizers`

    - ### Methods inherited from class org.apache.lucene.analysis.util.AbstractAnalysisFactory

      `get, get, get, get, get, getBoolean, getChar, getClassArg, getFloat, getInt, getLines, getLuceneMatchVersion, getOriginalArgs, getPattern, getSet, getSnowballWordSet, getWordSet, isExplicitLuceneMatchVersion, require, require, require, requireBoolean, requireChar, requireFloat, requireInt, setExplicitLuceneMatchVersion, splitAt, splitFileNames`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LowerCaseTokenizerFactory

          public LowerCaseTokenizerFactory(Map<String,String> args)

      Deprecated.
      Creates a new LowerCaseTokenizerFactory

  - ### Method Detail

    - #### create

          public LowerCaseTokenizer create(AttributeFactory factory)

      Deprecated.
      Description copied from class: `TokenizerFactory`
      Creates a TokenStream of the specified input using the given AttributeFactory
      Specified by:
        `create` in class `TokenizerFactory`

    - #### getMultiTermComponent

          public AbstractAnalysisFactory getMultiTermComponent()

      Deprecated.
      Description copied from interface: `MultiTermAwareComponent`
      Returns an analysis component to handle analysis if multi-term queries. The returned component must be a TokenizerFactory, TokenFilterFactory or CharFilterFactory.
      Specified by:
        `getMultiTermComponent` in interface `MultiTermAwareComponent`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.